# https://github.com/bazel-contrib/publish-to-bcr/tree/main/templates#presubmityml
bcr_test_module:
  module_path: "examples/gem"
  matrix:
    bazel: ["8.x", "7.x", "6.x"]
    # NB: Windows is removed due to https://github.com/bazel-contrib/rules_ruby/issues/64
    platform: ["debian10", "macos", "ubuntu2004"]
  tasks:
    run_tests:
      name: "Run test module"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_targets:
        - "//..."
